Bug 400 - TIF_NEED_RESCHED undeclared
TIF_NEED_RESCHED undeclared
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: smbmount (unmaintained)
3.0.0
All Linux
: P3 regression
: none
Assigned To: Tim Potter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-03 23:54 UTC by Catalin BOIE
Modified: 2005-08-24 10:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Catalin BOIE 2003-09-03 23:54:37 UTC
I try to compile rc2 on 2.6.0-test4-mm5 an it gives me the following:

Compiling client/smbmount.c
In file included from /usr/include/linux/fs.h:16,
                 from /usr/include/linux/smb_fs.h:15,
                 from client/smbmount.c:27:
/usr/include/linux/list.h:566:2: warning: #warning "don't include kernel headers
in userspace"
In file included from /usr/include/linux/fs.h:20,
                 from /usr/include/linux/smb_fs.h:15,
                 from client/smbmount.c:27:
/usr/include/linux/radix-tree.h: In function `radix_tree_preload_end':
/usr/include/linux/radix-tree.h:54: error: invalid type argument of `->'
/usr/include/linux/radix-tree.h:54: error: `TIF_NEED_RESCHED' undeclared (first
use in this function)
/usr/include/linux/radix-tree.h:54: error: (Each undeclared identifier is
reported only once
/usr/include/linux/radix-tree.h:54: error: for each function it appears in.)
make: *** [client/smbmount.o] Error 1
Comment 1 Catalin BOIE 2003-09-09 23:13:15 UTC
Same problem with 2.6.0test5mm1 and samba 3.0.0rc3!
Comment 2 Catalin BOIE 2003-09-26 05:01:56 UTC
Samba 3.0.0 final and 2.6.0test5mm4 still has the same problem.

I want to add that I use a link in /usr/include/linux ->
/usr/src/linux/include/linux.
Comment 3 Catalin BOIE 2003-09-29 02:05:31 UTC
This is true only when I try to compile with --with-smbmount!
Else, it's working perfectly.
Comment 4 Gerald (Jerry) Carter 2003-12-12 08:27:35 UTC
reseting target milestone.  3.0.1 has been frozen.  WIll have to 
re-evaluate these.
Comment 5 Moran Zaltsman 2004-02-12 07:16:03 UTC
it's still there in Samba-3.0.2 w/ Linux-2.6.{0,1,2,3_RC2} :(
Comment 6 Gerald (Jerry) Carter 2004-03-05 05:12:52 UTC
From Stefan G. Weichinger <monitor@oops.co.at>:

Just to let you know:

I just compiled Samba 3.0.2a under Linux 2.6.4-rc2 
configured  --with-smbmount.  The fresh smbmount-binary 
works fine, all the compile ran through without problems.
Comment 7 Catalin BOIE 2004-03-05 06:08:45 UTC
What tells you ls -ld /usr/include/linux?
It's a link to kernel sources?
Comment 8 Tom Williams 2004-06-18 23:04:30 UTC
I just hit this problem while compiling Samba 3.0.4 on a Linux system running a
2.6.6 kernel.  :(

Is this problem really fixed?

Peace...

Comment 9 VMiklos 2004-06-23 02:41:35 UTC
> I just hit this problem while compiling Samba 3.0.4 on a Linux system running a
> 2.6.6 kernel.  :(

for kernel 2.6.7 and samba 3.0.4, too :-(

and imho the bug marked as 'RESOLVED FIXED' :-(
Comment 10 Catalin BOIE 2004-06-23 03:08:33 UTC
/usr/include/linux must not be a link to kernel sources!
You must use header files that come with glibc.
Comment 11 VMiklos 2004-06-24 02:24:17 UTC
> /usr/include/linux must not be a link to kernel sources!
> You must use header files that come with glibc.

ok, i just compiled glibc 2.3.2 with kernel-headers 2.6.7 :-(
Comment 12 Catalin BOIE 2004-06-24 03:03:17 UTC
You don't need to recompile glibc.
Just make sure you don't have /usr/include/linux link to
/usr/src/linux/include/linux!
Same for asm and asm-i386.
Then, you can compile safe samba.
Comment 13 Tikus 2004-06-28 04:22:41 UTC
Move your includes /usr/include/linux, /usr/inlude/asm to elsewhere for the 
time of compilation of software having these problems and use headers from 
glibc compiled with 2.4 kernel. This should help. Than move back your 2.6 
headers. Smbmount seems to include kernel header in userspace and that's not 
allowed with 2.6 kernels. Thats what i think of it.
Hope it helps
Tikus
Comment 14 VMiklos 2004-07-03 06:28:39 UTC
(In reply to comment #13)
> Hope it helps

yes, that's what i was doing, but this is only a workaround :-(
Comment 15 Catalin BOIE 2004-07-04 23:14:00 UTC
No, it's not a workaround.
You must use includes that come with glibc (2.4 kernel).
It may work with 2.6 kernel, but is no guaranty.
Comment 16 VMiklos 2004-07-27 03:36:35 UTC
> You must use includes that come with glibc (2.4 kernel).
my glibc was compiled with kernel-headers-2.6.6
so the optimal would be to compile with the 2.6 series not the 2.4 one

Comment 17 VMiklos 2004-07-27 03:42:27 UTC
imho the plus code could be add with
#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,5,47)
... code ...
#endif
as other projects resolved this problem with kernel-headers 2.6
Comment 18 Gerald (Jerry) Carter 2005-08-24 10:20:56 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.